%bcond_with tests
%bcond_with docs
%global _docdir_fmt %{name}

Summary:	Zope 3 Interface Infrastructure
Name:		python-zope-interface
Version:	6.0
Release:	1%{?dist}
License:	ZPLv2.1
URL:		https://pypi.io/project/zope.interface
Source0:	https://pypi.io/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz


%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract. This is a separate distribution of the zope.interface package
used in Zope 3.

%package -n python3-zope-interface
Summary:	Zope 3 Interface Infrastructure
BuildRequires:  gcc make
BuildRequires:  python3-devel

%description -n python3-zope-interface
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract. This is a separate distribution of the zope.interface package
used in Zope 3.

%if %{with docs}
%package doc
Summary:        Documentation for zope.interface
BuildArch:      noarch
BuildRequires:  python3-docs
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist repoze-sphinx-autointerface}

%description doc
Documentation for %{name}.
%endif

%prep
%autosetup -n zope.interface-%{version} -p1
sed -i "s/'default'/'classic'/" docs/conf.py
sed -i "s|\('https://docs\.python\.org/': \)None|\1'%{_docdir}/python3-docs/html/objects.inv'|" docs/conf.py

%if %{without docs}
sed -i "s|'docs'.*||" setup.py
%endif

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=$PWD/src make -C docs html
rm -f docs/_build/html/.buildinfo
%endif

%install
%pyproject_install
rm -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c

%if %{with tests}
%check
pushd %{buildroot}%{python3_sitearch}
PURE_PYTHON=1 python3 -m unittest discover -s zope/interface -t .
popd
%endif

%files -n python3-zope-interface
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitearch}/zope/interface/
%dir %{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/zope.interface-*.dist-info
%{python3_sitearch}/zope.interface-*-nspkg.pth

%if %{with docs}
%files doc
%doc docs/_build/html/
%endif

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 6.0-1
- update to 6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 5.5.2-1
- initial build
